Modify Shipment Status
1 min
PUT
https://api.upstartcommerce.com/v1/order/{orderId}/shipments/{shipmentId}/state
orderIdstring<uuid>The parameterized order id in the URI.
shipmentIdstring<uuid>Unique identifier for the shipment that needs to be transitioned.
x-upstart-tenantstringTenant identifier associated with the site this call is for.
bodyobjectThe request body should follow the following format.
200<p>Success-shipment status updated.</p>
401The provided credentials were not valid for this endpoint. It may be that they are expired or that the user's roles are insufficient.
404The requested resource was not found in the NoChannel system.
curl --request PUT \
--url https://api.upstartcommerce.com/v1/order/{orderId}/shipments/{shipmentId}/state \
--header 'accept: application/json' \
--header 'content-type: application/json' \
--header 'x-upstart-tenant: string' \
--data '{
"state": ""
}'